GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions
grpc::GenericStub Class Reference

`#include <generic_stub.h>`

## Public Member Functions
| GenericStub (std::shared_ptr< ChannelInterface > channel)
std::unique_ptr < GenericClientAsyncReaderWriter > | Call (ClientContext *context, const grpc::string &method, CompletionQueue *cq, void *tag)

## Constructor & Destructor Documentation

grpc::GenericStub::GenericStub | ( | std::shared_ptr< ChannelInterface > | channel | ) |
| inline explicit

## Member Function Documentation

std::unique_ptr< GenericClientAsyncReaderWriter > grpc::GenericStub::Call | ( | ClientContext * | context,
|  | const grpc::string & | method,
|  | CompletionQueue * | cq,
|  | void * | tag
| ) |  |

The documentation for this class was generated from the following files:

- include/grpc++/generic_stub.h
- src/cpp/client/generic_stub.cc